package examenes.examen20250131.ejercicio04.listener;

import java.util.ArrayList;
import java.util.List;

public class CheckeadorNums {
    static List<NumeroNegativoListener> listeners = new ArrayList<NumeroNegativoListener>();

    public static void addNumNegativoListener(NumeroNegativoListener l) {
        listeners.add(l);
    }

    public static void removeNumNegativoListener(NumeroNegativoListener l) {
        listeners.remove(l);
    }

    private static void fireNumNegativo(int resultado) {
        for (NumeroNegativoListener opl : listeners) {
            opl.numeroNegativo(new NumNegativoEvent(resultado));
        }
    }


    public static void comprobadorNums(int num) {
        if (num < 0) fireNumNegativo(num);

    }
}
